Subject: Re: [Xen-devel] [PATCH V8 net-next 0/6] xen-net{back, front}: Multiple transmit and receive queues

From: Andrew Bennieston <[email-masked]>
Date: Wed, 14 May 2014 17:18:31 +0100

On 14/05/14 15:13, Wei Liu wrote:
> On Wed, May 14, 2014 at 04:09:23PM +0200, Sander Eikelenboom wrote:
>>
>> Wednesday, May 14, 2014, 3:52:24 PM, you wrote:
>>
>>> This patch series implements multiple transmit and receive queues (i.e.
>>> multiple shared rings) for the xen virtual network interfaces.
>>
>>> The series is split up as follows:
>>>   - Patch 1 brings the 'grant_copy_op' array back into struct xenvif, in
>>>     preparation for multi-queue support. See the patch itself for more details.
>>> - Patches 2 and 4 factor out the queue-specific data for netback and
>>>    netfront respectively, and modify the rest of the code to use these
>>>    as appropriate.
>>> - Patches 3 and 5 introduce new XenStore keys to negotiate and use
>>>    multiple shared rings and event channels, and code to connect these
>>>    as appropriate.
>>> - Patch 6 documents the XenStore keys required for the new feature
>>>    in include/xen/interface/io/netif.h
>>
>>> All other transmit and receive processing remains unchanged, i.e. there
>>> is a kthread per queue and a NAPI context per queue.
>>
>>> The performance of these patches has been analysed in detail, with
>>> results available at:
>>
>> <snip>
>>
>> Would it be possible to also put these somewhere in a tree (or branch of the
>> xen-tree), so it is more easy to pull and test ?
>>
>
> I cannot speak for Andrew. FWIW you can save this thread and use 'git
> am' to apply them to 'net-next'.
>
> Wei.

I don't currently have a public-facing git repo for this. If you'd 
prefer I can send you the patches directly in a tarball, which you may 
be able to apply more easily than grabbing them from email threads?

- Andrew
>> --
>> Sander
>>> --
>>> Andrew J. Bennieston